Eclipse Platform Release 3.7

## org.eclipse.core.filebuffers
Interface ISynchronizationContext

    public interface ISynchronizationContext

A file buffer manager (see `IFileBufferManager`) uses an `ISynchronizationContext` in order to execute commands encapsulated as `Runnable`. The synchronization context executes the `Runnables` according to a specific synchronization/execution policy. This could be that the given `Runnable` is executed in a specific thread or environment or adhere to specific timing constraints. The concrete characteristics of the policy is to be specified by the context implementer.

This interface can be implemented by clients. Clients use `IFileBufferManager.setSynchronizationContext(ISynchronizationContext)` to install a particular synchronization context with a file buffer manager.

Since:
  3.0

Method Summary
`void` `run(Runnable runnable)` Executes the given runnable according to the specified synchronization/execution policy.

Method Detail

### run

    void run(Runnable runnable)

  Executes the given runnable according to the specified synchronization/execution policy.

  Parameters:
    `runnable` - the runnable to be executed

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.